com.sun.tdk.specdiff.assertdiff

## Class AssertModel

- java.lang.Object
- - com.sun.tdk.specdiff.assertdiff.AssertModel

-     public class AssertModel
      extends java.lang.Object

  The assertion representation used within this package to identify moved, split and joint assertions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertModel(java.lang.String ctx, java.lang.String assertId, java.lang.String text, AbstractAssert origin)` Constructs model.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `contextID()`
    `AbstractAssert` | `getOrigin()`
    `java.lang.String` | `getText()`
    `java.util.List<java.lang.String>` | `getWords()`
    `java.lang.String` | `id()`
    `boolean` | `isDuplicate()` Return flag indicating that there is equivalent assertion(s) with the same id.
    `void` | `setDuplicate(boolean flag)` Sets flag indicating that there is equivalent assertion(s) with the same id.
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertModel

          public AssertModel(java.lang.String ctx,
                             java.lang.String assertId,
                             java.lang.String text,
                             AbstractAssert origin)

      Constructs model.
      Parameters:
        `ctx` - contextID ID
        `assertId` - assertion ID
        `text` - assertion text
        `origin` - object representing the assertion in the document

  - ### Method Detail

    - #### id

          public java.lang.String id()

      Returns:
        assertion id, the model had been created with

    - #### contextID

          public java.lang.String contextID()

      Returns:
        context ID, the model had been created with

    - #### getOrigin

          public AbstractAssert getOrigin()

      Returns:
        the origin object, the model had been created with

    - #### getText

          public java.lang.String getText()

      Returns:
        the text, the model had been created with

    - #### getWords

          public java.util.List<java.lang.String> getWords()

      Returns:
        the list of words obtained from the text after normalization

    - #### size

          public int size()

      Returns:
        number of words in the normalized form.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setDuplicate

          public void setDuplicate(boolean flag)

      Sets flag indicating that there is equivalent assertion(s) with the same id.
      Parameters:
        `flag` - true, if there is duplicate, false if not.
      See Also:
        `isDuplicate()`

    - #### isDuplicate

          public boolean isDuplicate()

      Return flag indicating that there is equivalent assertion(s) with the same id.
      Returns:
        true, if there is duplicate, false if not.
      See Also:
        `setDuplicate(boolean)`